import Vue, { VueConstructor } from 'vue';
import { SetupContext } from './types/vue';
import { Wrapper } from './wrappers';
declare module 'vue/types/options' {
    interface ComponentOptions<V extends Vue> {
        setup?: (this: void, props: {
            [x: string]: any;
        }, context: SetupContext) => object | null | undefined | void;
    }
}
declare const plugin: {
    install: (Vue: VueConstructor<Vue>) => void;
};
export { plugin, Wrapper };
export { set } from './reactivity';
export * from './ts-api';
export * from './functions/state';
export * from './functions/lifecycle';
export * from './functions/watch';
export * from './functions/computed';
export * from './functions/inject';
